@font-face {
    font-family: 'EuroNarrow';
    src: url('./fonts/Narrow05.otf') format('opentype');
    font-weight: normal;
    font-style: italic;
}

#loader {
    left: 0;
    margin: 0;
    padding: 0;
    top: 0;
    width: 100%;
    height: 100vh;
    background: black;
}

a:link, a:visited {
    color: #0000BB;
}

[data-unity-loaded='true'] #loader {
    display: none;
}

#progress {
    top: 0;
    height: 3px;
    background: lightgrey url(../media/Bar.png);
    background-size: 120vw;
    background-position: -10vw 0;
    background-repeat: no-repeat;
    box-shadow: 0 0 12px lightgrey;
    overflow: hidden;
    position: absolute;
    width: 0;
    transition: all 60ms ease-in-out;
}

.loading {
    font-family: 'EuroNarrow', sans-serif;
    letter-spacing: .05em;
    text-transform: uppercase;
    font-size: 21px;
    align-items: center;
    color: #fff;
    display: flex;
    height: 100%;
    justify-content: center;
}

/* loading dots */

.loading:after {
    content: ' .';
    animation: dots 1s steps(5, end) infinite;
}

@keyframes dots {
    0%, 20% {
        color: rgba(0, 0, 0, 0);
        text-shadow: .25em 0 0 rgba(0, 0, 0, 0), .5em 0 0 rgba(0, 0, 0, 0);
    }
    40% {
        color: #fff;
        text-shadow: .25em 0 0 rgba(0, 0, 0, 0), .5em 0 0 rgba(0, 0, 0, 0);
    }
    60% {
        text-shadow: .25em 0 0 #fff, .5em 0 0 rgba(0, 0, 0, 0);
    }
    80%, 100% {
        text-shadow: .25em 0 0 #fff, .5em 0 0 #fff;
    }
}

#canvas {
    display: block;
    position: absolute;
    z-index: 0;
}

#status {
    display: none;
    background: #fff;
    margin-right: 15px;
    padding: 10px;
}

[data-unity-loaded='true'] #status[data-enabled='true'] {
    display: block;
}

#xr button {
    border: none;
}

#enterxr, #enterfs {
    display: none;
    position: fixed;
    height: 64px;
    width: 64px;
    bottom: 1.25em;
    background-size: 80%;
    border: 1px solid white;
    cursor: pointer;
    pointer-events: all;
    border-radius: 50%;
}

#enterfs {
    display: block;
    background: rgb(250,250,250) url(../media/full-screen-icon.png) center no-repeat;
    left: 1.25em;
    background-size: 60%;
    opacity: 80%;
}

#enterxr:hover {
  opacity: .75;
}

/*
[data-unity-loaded='true'] #enterxr[data-enabled='true'] {
    display: block;
    background: rgb(34,34,34) url(../media/vr-white.png) center no-repeat;
    right: 1.25em;
}
*/

#instruction button {
    background-color: rgb(97,97,97);
}

#instruction {
    font-family: 'EuroNarrow', sans-serif;
    letter-spacing: .05em;
    font-size: 16px;
    display: flex;
    align-items: center;
    height: 100%;
    width: 100%;
    justify-content: center;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    padding: 1.25em;
    pointer-events: none;
}

#instruction h1.headline {
    font-weight: normal;
    text-transform: uppercase;
    margin-top: 0;
    margin-bottom: 1rem;
    font-size: 1.8em;
    line-height: 1;
}

#instruction p {
    text-align: left;
    margin: 0;
    padding-bottom: 1.15em;
}

#instruction button {
    color: #fff;
    cursor: pointer;
    border: none;
    width: 100%;
    text-transform: uppercase;
    padding: 6px 20px;
    border-radius: 3px;
    letter-spacing: .06em;
    align-self: flex-end;
}

#instruction button:hover {
    opacity: .75;
}

#icons {
    display: flex;
}

.panel {
    background-color: rgba(0, 0, 0, 0.7);
    color: white;
    display: none;
    flex-wrap: wrap;
    max-width: 24em;
    padding: 1em;
    border-radius: 3px;
    pointer-events: all;
    box-shadow: 0px 0px 12px black;
}

.panel[data-enabled='true'] {
    display: flex;
}

.center {
    text-align: center;
}
